Bug 1112841 - Cannot log into account with NFS home directory
Summary: Cannot log into account with NFS home directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/sddm/sddm/issues/218
Whiteboard:
Depends On:
Blocks: SDDMDefault
TreeView+ depends on / blocked
 
Reported: 2014-06-24 19:41 UTC by Orion Poplawski
Modified: 2014-10-31 02:43 UTC (History)
7 users (show)

Fixed In Version: sddm-0.9.0-2.20141007git6a28c29b.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-28 06:46:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Orion Poplawski 2014-06-24 19:41:40 UTC
Description of problem:

I cannot log into an account with a NFS mounted home directory with sddm.  From an strace analysis, it appears that sddm attempts to run xauth as root to add the X11 auth data to the user's .Xauthority file.  As root has no privileges on the NFS home directory this fails.

Version-Release number of selected component (if applicable):
sddm-0.2.0-0.29.20140623gitdb1d7381.fc21.x86_64

Comment 1 Orion Poplawski 2014-07-25 20:30:40 UTC
Any progress here?

Comment 2 Fedora Update System 2014-10-07 09:26:29 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc21

Comment 3 Fedora Update System 2014-10-07 09:27:32 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc20

Comment 4 Fedora Update System 2014-10-07 09:28:25 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19

Comment 5 Fedora Update System 2014-10-08 18:57:54 UTC
Package sddm-0.9.0-1.20141007git6a28c29b.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.9.0-1.20141007git6a28c29b.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12308/sddm-0.9.0-1.20141007git6a28c29b.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-10-28 06:46:36 UTC
sddm-0.9.0-2.20141007git6a28c29b.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-10-31 02:43:15 UTC
sddm-0.9.0-2.20141007git6a28c29b.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.